Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040DataEntererImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040DataEntererImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040DataEnterer

    public class POCDMT000040DataEntererImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040DataEnterer

An implementation of the model object 'POCDMT000040 Data Enterer'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Time`
- `Assigned Entity`
- `Context Control Code`
- `Null Flavor`
- `Type Code`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssignedEntity(POCDMT000040AssignedEntity newAssignedEntity, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTime(TS1 newTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`POCDMT000040AssignedEntity` | `getAssignedEntity()`
`org.eclipse.emf.common.util.Enumerator` | `getContextControlCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`TS1` | `getTime()`
`org.eclipse.emf.common.util.Enumerator` | `getTypeCode()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isSetContextControlCode()`
`boolean` | `isSetTypeCode()`
`void` | `setAssignedEntity(POCDMT000040AssignedEntity newAssignedEntity)`
`void` | `setContextControlCode(org.eclipse.emf.common.util.Enumerator newContextControlCode)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setTime(TS1 newTime)`
`void` | `setTypeCode(org.eclipse.emf.common.util.Enumerator newTypeCode)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetContextControlCode()`
`void` | `unsetTypeCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040DataEnterer_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040DataEnterer.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040DataEnterer_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040DataEnterer.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040DataEnterer_TemplateId()`

### getTime

    public TS1 getTime()

  Specified by:
    `getTime` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Time' containment reference.
  See Also:
    `POCDMT000040DataEnterer.setTime(TS1)`, `CDAR2Package.getPOCDMT000040DataEnterer_Time()`

### basicSetTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetTime(TS1 newTime,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setTime

    public void setTime(TS1 newTime)

  Specified by:
    `setTime` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newTime` - the new value of the 'Time' containment reference.
  See Also:
    `POCDMT000040DataEnterer.getTime()`

### getAssignedEntity

    public POCDMT000040AssignedEntity getAssignedEntity()

  Specified by:
    `getAssignedEntity` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Assigned Entity' containment reference.
  See Also:
    `POCDMT000040DataEnterer.setAssignedEntity(POCDMT000040AssignedEntity)`, `CDAR2Package.getPOCDMT000040DataEnterer_AssignedEntity()`

### basicSetAssignedEntity

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssignedEntity(POCDMT000040AssignedEntity newAssignedEntity,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssignedEntity

    public void setAssignedEntity(POCDMT000040AssignedEntity newAssignedEntity)

  Specified by:
    `setAssignedEntity` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newAssignedEntity` - the new value of the 'Assigned Entity' containment reference.
  See Also:
    `POCDMT000040DataEnterer.getAssignedEntity()`

### getContextControlCode

    public org.eclipse.emf.common.util.Enumerator getContextControlCode()

  Specified by:
    `getContextControlCode` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Context Control Code' attribute.
  See Also:
    `POCDMT000040DataEnterer.isSetContextControlCode()`, `POCDMT000040DataEnterer.unsetContextControlCode()`, `POCDMT000040DataEnterer.setContextControlCode(Enumerator)`, `CDAR2Package.getPOCDMT000040DataEnterer_ContextControlCode()`

### setContextControlCode

    public void setContextControlCode(org.eclipse.emf.common.util.Enumerator newContextControlCode)

  Specified by:
    `setContextControlCode` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newContextControlCode` - the new value of the 'Context Control Code' attribute.
  See Also:
    `POCDMT000040DataEnterer.isSetContextControlCode()`, `POCDMT000040DataEnterer.unsetContextControlCode()`, `POCDMT000040DataEnterer.getContextControlCode()`

### unsetContextControlCode

    public void unsetContextControlCode()

  Specified by:
    `unsetContextControlCode` in interface `POCDMT000040DataEnterer`
  See Also:
    `POCDMT000040DataEnterer.isSetContextControlCode()`, `POCDMT000040DataEnterer.getContextControlCode()`, `POCDMT000040DataEnterer.setContextControlCode(Enumerator)`

### isSetContextControlCode

    public boolean isSetContextControlCode()

  Specified by:
    `isSetContextControlCode` in interface `POCDMT000040DataEnterer`
  Returns:
    whether the value of the 'Context Control Code' attribute is set.
  See Also:
    `POCDMT000040DataEnterer.unsetContextControlCode()`, `POCDMT000040DataEnterer.getContextControlCode()`, `POCDMT000040DataEnterer.setContextControlCode(Enumerator)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040DataEnterer.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040DataEnterer_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040DataEnterer.getNullFlavor()`

### getTypeCode

    public org.eclipse.emf.common.util.Enumerator getTypeCode()

  Specified by:
    `getTypeCode` in interface `POCDMT000040DataEnterer`
  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `POCDMT000040DataEnterer.isSetTypeCode()`, `POCDMT000040DataEnterer.unsetTypeCode()`, `POCDMT000040DataEnterer.setTypeCode(Enumerator)`, `CDAR2Package.getPOCDMT000040DataEnterer_TypeCode()`

### setTypeCode

    public void setTypeCode(org.eclipse.emf.common.util.Enumerator newTypeCode)

  Specified by:
    `setTypeCode` in interface `POCDMT000040DataEnterer`
  Parameters:
    `newTypeCode` - the new value of the 'Type Code' attribute.
  See Also:
    `POCDMT000040DataEnterer.isSetTypeCode()`, `POCDMT000040DataEnterer.unsetTypeCode()`, `POCDMT000040DataEnterer.getTypeCode()`

### unsetTypeCode

    public void unsetTypeCode()

  Specified by:
    `unsetTypeCode` in interface `POCDMT000040DataEnterer`
  See Also:
    `POCDMT000040DataEnterer.isSetTypeCode()`, `POCDMT000040DataEnterer.getTypeCode()`, `POCDMT000040DataEnterer.setTypeCode(Enumerator)`

### isSetTypeCode

    public boolean isSetTypeCode()

  Specified by:
    `isSetTypeCode` in interface `POCDMT000040DataEnterer`
  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `POCDMT000040DataEnterer.unsetTypeCode()`, `POCDMT000040DataEnterer.getTypeCode()`, `POCDMT000040DataEnterer.setTypeCode(Enumerator)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD